| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.ReporterConfigurationForm Class Reference

Reporter configuration. More...

Inheritance diagram for IG.Forms.ReporterConfigurationForm:
[legend]
Collaboration diagram for IG.Forms.ReporterConfigurationForm:
[legend]

## Public Member Functions
| ReporterConfigurationForm ()
| ReporterConfigurationForm (ReporterForms rf)
void | HideForm ()
void | CloseForm ()
| Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose(). More...
void | ShowThread ()
| Shows a fading message in a new thread. More...
void | ShowThread (string title)
| Shows a fading message in a new thread, with message text equal to mshtext and without a title;. More...

## Public Attributes
string | Title =""

## Properties
ReporterForms | reporter`[get, private set]`
bool | IsBackground`[get, set]`

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...
void | FormThreadFunc ()
| Shows the window in a separate thread. More...
void | ConsoleForm_Load (object sender, System.EventArgs args)
void | ConsoleForm_Dispose (object sender, System.EventArgs e)
void | CloseBtn_Click (object sender, EventArgs e)
void | HideBtn_Click (object sender, EventArgs e)
void | ReportConfig_MouseMove (object sender, MouseEventArgs e)
void | ReportConfig_MouseDown (object sender, MouseEventArgs e)
void | ReportConfig_MouseClick (object sender, MouseEventArgs e)
| Enables closing the consform with right-clicking. More...
void | SetCommonEvents (Control f)
void | BtnCancel_Click (object sender, EventArgs e)
void | btnLaunch_Click (object sender, EventArgs e)
void | rbConsoleFormOn_CheckedChanged (object sender, EventArgs e)
void | rbMessageBoxOn_CheckedChanged (object sender, EventArgs e)
void | rbFadingMessageOn_CheckedChanged (object sender, EventArgs e)
void | txtFadingShowtime_TextChanged (object sender, EventArgs e)
void | txtFadingPortion_TextChanged (object sender, EventArgs e)
void | txtFadingBG_BackColorChanged (object sender, EventArgs e)
void | btnFadeBG_Click (object sender, EventArgs e)
void | txtFadeBGFinal_BackColorChanged (object sender, EventArgs e)
void | btnFadeBGFinal_Click (object sender, EventArgs e)
void | rbConsoleOn_CheckedChanged (object sender, EventArgs e)

## Private Attributes
ReporterForms | _reporter = null
bool | bgthread = false
GroupBox | grpFadeMessage
Panel | pnlFadingMessageSwitch
RadioButton | rbFadeMessageOn
RadioButton | rbFadeMessageOff
Label | lblFadeBGFade
Button | btnFadeBGFinal
Button | btnFadeBG
Label | lblFadingBG
TextBox | txtFadeBGFinal
Label | lblFadingPortion
TextBox | txtFadeBG
Label | lblFadingShowtime
TextBox | txtFadePortion
TextBox | txtFadeShowtime
GroupBox | grpConsole
Panel | pnlConsoleSwitch
RadioButton | rbConsoleOn
RadioButton | rbConsoleOff
GroupBox | grpConsoleForm
Panel | pnlConsoleFormSwitch
RadioButton | rbConsoleFormOn
RadioButton | rbConsoleFormOff
GroupBox | grpMessageBox
Panel | pnlMessageBoxSwitch
RadioButton | rbMessageBoxOn
RadioButton | rbMessageBoxOff
GroupBox | grpTest
GroupBox | grpOutputLevel
RadioButton | rbOutVerbose
RadioButton | rbOutInfo
RadioButton | rbOutWarning
RadioButton | rbOutError
GroupBox | grpReportType
RadioButton | rbInfo
RadioButton | rbWarning
RadioButton | rbError
Button | btnLaunch
GroupBox | grpMultipleReports
CheckBox | chkMultiple
TextBox | txtNumLaunches
TextBox | txtDelay
Label | lblMultipleNum
Label | lblDelay
Label | label1
Label | lblMessage
TextBox | txtExMessage
Label | lblLocation
TextBox | txtMessage
TextBox | txtLocation
Label | lblDescription
Label | lblTitle
Panel | PnlStatus
Button | CancelBtn
Label | StatusLbl
CheckBox | chkThrowException
Thread | formthread = null
int | m_PrevX
int | m_PrevY

## Detailed Description

Reporter configuration.

## Constructor & Destructor Documentation

IG.Forms.ReporterConfigurationForm.ReporterConfigurationForm | ( |  | ) |
| inline

IG.Forms.ReporterConfigurationForm.ReporterConfigurationForm | ( | ReporterForms | rf | ) |
| inline

## Member Function Documentation

void IG.Forms.ReporterConfigurationForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

void IG.Forms.ReporterConfigurationForm.FormThreadFunc | ( |  | ) |
| inline private

Shows the window in a separate thread.

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.ConsoleForm_Load | ( | object | sender,
|  | System.EventArgs | args
| ) |  |
| inline private

References IG.Forms.ControlDelegate(), IG.Forms.ReporterForms.Global, IG.Forms.UtilForms.RecursiveControlDelegate(), and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.ConsoleForm_Dispose | ( | object | sender,
|  | System.EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.CloseBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.HideBtn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.HideForm | ( |  | ) |
| inline

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.CloseForm | ( |  | ) |
| inline

Closes the consform by properly (i.e. thread-safe) calling the Close() and Dispose().

References IG.Forms.ReporterForms.Global, IG.Lib.ReporterBase.ReportError(), and IG.Forms.VoidDelegate().

void IG.Forms.ReporterConfigurationForm.ShowThread | ( |  | ) |
| inline

Shows a fading message in a new thread.

void IG.Forms.ReporterConfigurationForm.ShowThread | ( | string | title | ) |
| inline

Shows a fading message in a new thread, with message text equal to mshtext and without a title;.

void IG.Forms.ReporterConfigurationForm.ReportConfig_MouseMove | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

References IG.Lib.Left, and IG.Lib.Top.

void IG.Forms.ReporterConfigurationForm.ReportConfig_MouseDown | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

void IG.Forms.ReporterConfigurationForm.ReportConfig_MouseClick | ( | object | sender,
|  | MouseEventArgs | e
| ) |  |
| inline private

Enables closing the consform with right-clicking.

void IG.Forms.ReporterConfigurationForm.SetCommonEvents | ( | Control | f | ) |
| inline private

void IG.Forms.ReporterConfigurationForm.BtnCancel_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.ReporterConfigurationForm.btnLaunch_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.rbConsoleFormOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.rbMessageBoxOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.rbFadingMessageOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.txtFadingShowtime_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.txtFadingPortion_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.txtFadingBG_BackColorChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.btnFadeBG_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.txtFadeBGFinal_BackColorChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.btnFadeBGFinal_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

void IG.Forms.ReporterConfigurationForm.rbConsoleOn_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.ReporterForms.Global, and IG.Lib.ReporterBase.ReportError().

## Member Data Documentation

ReporterForms IG.Forms.ReporterConfigurationForm._reporter = null
| private

bool IG.Forms.ReporterConfigurationForm.bgthread = false
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpFadeMessage
| private

Panel IG.Forms.ReporterConfigurationForm.pnlFadingMessageSwitch
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbFadeMessageOn
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbFadeMessageOff
| private

Label IG.Forms.ReporterConfigurationForm.lblFadeBGFade
| private

Button IG.Forms.ReporterConfigurationForm.btnFadeBGFinal
| private

Button IG.Forms.ReporterConfigurationForm.btnFadeBG
| private

Label IG.Forms.ReporterConfigurationForm.lblFadingBG
| private

TextBox IG.Forms.ReporterConfigurationForm.txtFadeBGFinal
| private

Label IG.Forms.ReporterConfigurationForm.lblFadingPortion
| private

TextBox IG.Forms.ReporterConfigurationForm.txtFadeBG
| private

Label IG.Forms.ReporterConfigurationForm.lblFadingShowtime
| private

TextBox IG.Forms.ReporterConfigurationForm.txtFadePortion
| private

TextBox IG.Forms.ReporterConfigurationForm.txtFadeShowtime
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpConsole
| private

Panel IG.Forms.ReporterConfigurationForm.pnlConsoleSwitch
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbConsoleOn
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbConsoleOff
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpConsoleForm
| private

Panel IG.Forms.ReporterConfigurationForm.pnlConsoleFormSwitch
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbConsoleFormOn
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbConsoleFormOff
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpMessageBox
| private

Panel IG.Forms.ReporterConfigurationForm.pnlMessageBoxSwitch
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbMessageBoxOn
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbMessageBoxOff
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpTest
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpOutputLevel
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbOutVerbose
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbOutInfo
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbOutWarning
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbOutError
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpReportType
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbInfo
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbWarning
| private

RadioButton IG.Forms.ReporterConfigurationForm.rbError
| private

Button IG.Forms.ReporterConfigurationForm.btnLaunch
| private

GroupBox IG.Forms.ReporterConfigurationForm.grpMultipleReports
| private

CheckBox IG.Forms.ReporterConfigurationForm.chkMultiple
| private

TextBox IG.Forms.ReporterConfigurationForm.txtNumLaunches
| private

TextBox IG.Forms.ReporterConfigurationForm.txtDelay
| private

Label IG.Forms.ReporterConfigurationForm.lblMultipleNum
| private

Label IG.Forms.ReporterConfigurationForm.lblDelay
| private

Label IG.Forms.ReporterConfigurationForm.label1
| private

Label IG.Forms.ReporterConfigurationForm.lblMessage
| private

TextBox IG.Forms.ReporterConfigurationForm.txtExMessage
| private

Label IG.Forms.ReporterConfigurationForm.lblLocation
| private

TextBox IG.Forms.ReporterConfigurationForm.txtMessage
| private

TextBox IG.Forms.ReporterConfigurationForm.txtLocation
| private

Label IG.Forms.ReporterConfigurationForm.lblDescription
| private

Label IG.Forms.ReporterConfigurationForm.lblTitle
| private

Panel IG.Forms.ReporterConfigurationForm.PnlStatus
| private

Button IG.Forms.ReporterConfigurationForm.CancelBtn
| private

Label IG.Forms.ReporterConfigurationForm.StatusLbl
| private

CheckBox IG.Forms.ReporterConfigurationForm.chkThrowException
| private

string IG.Forms.ReporterConfigurationForm.Title =""

Thread IG.Forms.ReporterConfigurationForm.formthread = null
| private

int IG.Forms.ReporterConfigurationForm.m_PrevX
| private

int IG.Forms.ReporterConfigurationForm.m_PrevY
| private

## Property Documentation

ReporterForms IG.Forms.ReporterConfigurationForm.reporter
| get private set protected

bool IG.Forms.ReporterConfigurationForm.IsBackground
| get set

The documentation for this class was generated from the following file:

- igforms/Basic/ReporterConfigurationForm.cs